Solid Edge Part Type Library
Item Method
Variant (input) index.
Description
The items in a collection.
Syntax
Visual Basic
Public Function Item( _
   ByVal Index As Variant _
) As Hole2d
Parameters
Index
Variant (input) index.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objHols As SolidEdgePart.Holes2d
    Dim objHol2d1 As SolidEdgePart.Hole2d
    Dim objHol2d2 As SolidEdgePart.Hole2d
    Dim objProfile As SolidEdgePart.Profile
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create an empty Profile
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                         objDoc.RefPlanes(1))
    ' Create a Holes2d collection object
    Set objHols = objProfile.Holes2d
    ' Create a Hole2d object
    Set objHol2d1 = objHols.Add(xCenter:=0, yCenter:=0)
    ' Assign the Hole object to another object using Item method
    Set objHol2d2 = objHols.Item(1)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objHols = Nothing
    Set objHol2d1 = Nothing
    Set objHol2d2 = Nothing
    Set objProfile = Nothing
End Sub
See Also

Holes2d Collection  | Holes2d Members